Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.linuxsampler.lscp
Enum ParameterType

    java.lang.Object
      java.lang.Enum<ParameterType>
          org.linuxsampler.lscp.ParameterType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ParameterType>

    public enum ParameterType

extends java.lang.Enum<ParameterType>

Represents the parameter type.

Enum Constant Summary
`BOOL` Indicates that the parameter contains boolean value
`BOOL_LIST` Indicates that the parameter contains list of boolean values
`FLOAT` Indicates that the parameter contains float value
`FLOAT_LIST` Indicates that the parameter contains list of float values
`INT` Indicates that the parameter contains integer value
`INT_LIST` Indicates that the parameter contains list of integer values
`STRING` Indicates that the parameter contains string value
`STRING_LIST` Indicates that the parameter contains list of string values

Method Summary
`static ParameterType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParameterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOOL

    public static final ParameterType BOOL

  Indicates that the parameter contains boolean value

### INT

    public static final ParameterType INT

  Indicates that the parameter contains integer value

### FLOAT

    public static final ParameterType FLOAT

  Indicates that the parameter contains float value

### STRING

    public static final ParameterType STRING

  Indicates that the parameter contains string value

### BOOL_LIST

    public static final ParameterType BOOL_LIST

  Indicates that the parameter contains list of boolean values

### INT_LIST

    public static final ParameterType INT_LIST

  Indicates that the parameter contains list of integer values

### FLOAT_LIST

    public static final ParameterType FLOAT_LIST

  Indicates that the parameter contains list of float values

### STRING_LIST

    public static final ParameterType STRING_LIST

  Indicates that the parameter contains list of string values

Method Detail

### values

    public static ParameterType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ParameterType c : ParameterType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ParameterType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.